restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant > Class Template Reference

Base class for body appenders. More...

`#include <zlib.hpp>`

## Public Types

using | resp_t = response_builder_t< Response_Output_Strategy >

## Public Member Functions

| body_appender_base_t (const params_t &params, resp_t &resp)
| body_appender_base_t (const body_appender_base_t &)=delete
body_appender_base_t & | operator= (const body_appender_base_t &)=delete
body_appender_base_t & | operator= (body_appender_base_t &&)=delete
| body_appender_base_t (body_appender_base_t &&ba) noexcept
virtual | ~body_appender_base_t ()

## Protected Attributes

std::unique_ptr< zlib_t > | m_ztransformator
resp_t & | m_resp

## Detailed Description

template<typename Response_Output_Strategy, typename Descendant>
class restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >

Base class for body appenders.

Definition at line 968 of file zlib.hpp.

## Member Typedef Documentation

## resp_t

template<typename Response_Output_Strategy , typename Descendant >

using restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::resp_t = response_builder_t< Response_Output_Strategy >

Definition at line 971 of file zlib.hpp.

## Constructor & Destructor Documentation

## body_appender_base_t() [1/3]

template<typename Response_Output_Strategy , typename Descendant >

restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::body_appender_base_t | ( | const params_t & | params,
|  | resp_t & | resp
| ) |  |

inline

Definition at line 973 of file zlib.hpp.

## body_appender_base_t() [2/3]

template<typename Response_Output_Strategy , typename Descendant >

restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::body_appender_base_t | ( | const body_appender_base_t< Response_Output_Strategy, Descendant > & |  | ) |

delete

## body_appender_base_t() [3/3]

template<typename Response_Output_Strategy , typename Descendant >

restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::body_appender_base_t | ( | body_appender_base_t< Response_Output_Strategy, Descendant > && | ba | ) |

inlinenoexcept

Definition at line 990 of file zlib.hpp.

## ~body_appender_base_t()

template<typename Response_Output_Strategy , typename Descendant >

virtual restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::~body_appender_base_t | ( |  | ) |

inlinevirtual

Definition at line 995 of file zlib.hpp.

## Member Function Documentation

## operator=() [1/2]

template<typename Response_Output_Strategy , typename Descendant >

body_appender_base_t & restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::operator= | ( | body_appender_base_t< Response_Output_Strategy, Descendant > && |  | ) |

delete

## operator=() [2/2]

template<typename Response_Output_Strategy , typename Descendant >

body_appender_base_t & restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::operator= | ( | const body_appender_base_t< Response_Output_Strategy, Descendant > & |  | ) |

delete

## Member Data Documentation

## m_resp

template<typename Response_Output_Strategy , typename Descendant >

resp_t& restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::m_resp

protected

Definition at line 999 of file zlib.hpp.

## m_ztransformator

template<typename Response_Output_Strategy , typename Descendant >

std::unique_ptr< zlib_t > restinio::transforms::zlib::body_appender_base_t< Response_Output_Strategy, Descendant >::m_ztransformator

protected

Definition at line 998 of file zlib.hpp.

The documentation for this class was generated from the following file:

- restinio/transforms/zlib.hpp